Subject: Re: Odd Difference Between Windows Git and Standard Git

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 May 2016 09:21:01 -0700

Junio C Hamano <[email-masked]> writes:

> Thanks for asking a great question.  I somehow expected that we
> probe in init-db.c::create_default_files() for this when we probe
> for case sensitivity, symlinks, etc., but apparently we don't.

Ah, we do probe by using "config" as a guinea pig file.

Of course, if you are doing network mount between systems with and
without filemode support, the result would depend on where you did
the "git init", so that would not help.

Which means that other probed things like symlink support and case
sensitivity are likely to be wrong in the .git/config that the user
may want to fix.